<?php
/**
 * WiSu none content page
 *
 * @package wisu
 */

if (!defined('ABSPATH')) {
    exit;
}
?>
<div class="wisu-wrap error404" id="content">
    <article class="notfound">
        <div class="entry-header">
            <h2 class="entry-title"><?php esc_html_e('No Post Yet', 'wisu'); ?></h2>
        </div>
        <div class="line"></div>
        <div class="wisu-content">
            <?php if (is_active_sidebar('left_sidebar')) : ?>
                <div class="sidebar-left sidebar">
                    <?php dynamic_sidebar('left_sidebar'); ?>
                </div>
            <?php endif; ?>
            <div class="entry-content">
                <?php if (is_home() && current_user_can('publish_posts')) : ?>

                    <p><?php printf(
                            wp_kses(
                            /* translators: 1: link to new post */
                                __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'wisu' ),
                                array(
                                    'a' => array(
                                        'href' => array(),
                                    ),
                                )
                            ),
                            esc_url( admin_url( 'post-new.php' ) )
                        ); ?></p>

                <?php elseif (is_search()) : ?>

                    <p><?php esc_html_e('Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'wisu'); ?></p>

                <?php else : ?>

                    <p><?php esc_html_e('It seems we can&rsquo;t find what you&rsquo;re looking for.', 'wisu'); ?></p>

                <?php endif; ?>
            </div>
            <?php if (is_active_sidebar('right_sidebar')) : ?>
                <div class="sidebar-right sidebar">
                    <?php dynamic_sidebar('right_sidebar'); ?>
                </div>
            <?php endif; ?>
        </div>
        <?php if (is_active_sidebar('before_footer')) : ?>
            <div class="before-footer">
                <?php dynamic_sidebar('before_footer'); ?>
            </div>
        <?php endif; ?>
    </article>
</div>
