<?php
/**
 * WiSu page template
 *
 * @package wisu
 */

if (!defined('ABSPATH')) {
    exit;
}
?>
<div class="wisu-wrap single page"  id="content">
    <?php if (have_posts()) : ?>
        <?php while (have_posts()):/* loop start*/
            the_post(); ?>
            <article id="post-<?php the_ID(); ?>">
                <div class="entry-header">
                    <h2 class="entry-title"><?php the_title(); ?></h2>
                </div>
                <div class="line"></div>
                <?php if (has_post_thumbnail()): ?>
                    <div class="post-thumbnail">
                        <?php
                        /*display post thumbnail*/
                        the_post_thumbnail('post-thumbnail', array('alt' => the_title_attribute('echo=0'), 'class' => '')); ?>
                    </div>
                <?php endif; ?>
                <div class="wisu-content">
                    <?php if (is_active_sidebar('left_sidebar')) : ?>
                        <div class="sidebar-left sidebar">
                            <?php dynamic_sidebar('left_sidebar'); ?>
                        </div>
                    <?php endif; ?>
                    <div class="entry-content">
                        <?php the_content(); ?>
                        <?php
                        wp_link_pages(
                            array(
                                'before' => '<div class="page-links"><span class="page-links-title">' . __('Pages:', 'wisu') . '</span>',
                                'after' => '</div>',
                                'link_before' => '<span>',
                                'link_after' => '</span>',
                                'pagelink' => '<span class="screen-reader-text">' . __('Page', 'wisu') . ' </span>%',
                                'separator' => '<span class="screen-reader-text">, </span>',
                            )
                        );
                        ?>

                        <div class="post-navigation">
                            <div class="pre-post">
                                <?php
                                $prev_post = get_adjacent_post(false, '', true);
                                if (!empty($prev_post)) {
                                    echo '<a href="' . esc_url(get_permalink($prev_post->ID)) . '" title="' . esc_attr($prev_post->post_title) . '"><i class="fa fa-angle-left"></i>' . esc_html($prev_post->post_title) . '</a>';
                                }
                                ?>
                            </div>
                            <div class="next-post">
                                <?php
                                $next_post = get_adjacent_post(false, '', false);
                                if (!empty($next_post)) {
                                    echo '<a href="' . esc_url(get_permalink($next_post->ID)) . '" title="' . esc_attr($next_post->post_title) . '">' . esc_html($next_post->post_title) . '<i class="fa fa-angle-right"></i></a>';
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                    <?php if (is_active_sidebar('right_sidebar')) : ?>
                        <div class="sidebar-right sidebar">
                            <?php dynamic_sidebar('right_sidebar'); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </article>
        <?php endwhile; ?>
    <?php endif; ?>
</div>